SOAP.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/ConcreteXMLObjectBuilder.h>`
`#include <xmltooling/ElementProxy.h>`
`#include <xmltooling/util/XMLConstants.h>`
Include dependency graph for SOAP.h:

## Namespaces

namespace | soap11
| Namespace for SOAP 1.1 schema objects.

## Macros

#define | DECL_SOAP11OBJECTBUILDER(cname)
| Macro for declaring SOAP builders.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

XMLObjects representing SOAP content

## Macro Definition Documentation

## DECL_SOAP11OBJECTBUILDER

#define DECL_SOAP11OBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(XMLTOOL_API,cname,xmlconstants::SOAP11ENV_NS,xmlconstants::SOAP11ENV_PREFIX)
DECL_XMLOBJECTBUILDER
#define DECL_XMLOBJECTBUILDER(linkage, cname, namespaceURI, namespacePrefix)
Declares a generic XMLObjectBuilder specialization.
Definition base.h:1681
xmlconstants::SOAP11ENV_NS
const XMLCh SOAP11ENV_NS[]
SOAP 1.1 Envelope XML namespace ("http://schemas.xmlsoap.org/soap/envelope/").
xmlconstants::SOAP11ENV_PREFIX
const XMLCh SOAP11ENV_PREFIX[]
SOAP 1.1 Envelope QName prefix ("S").

Macro for declaring SOAP builders.

Parameters

  cname | name of class being built